/*
 * ########################################################################
 *
 *  This program is free software; you can distribute it and/or modify it
 *  under the terms of the GNU General Public License (Version 2) as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope it will be useful, but WITHOUT
 *  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 *  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 *  for more details.
 *
 *  You should have received a copy of the GNU General Public License along
 *  with this program; if not, write to the Free Software Foundation, Inc.,
 *  59 Temple Place - Suite 330, Boston MA 02111-1307, USA.
 *
 * ########################################################################

    Copyright (C) 2000 Hiroshi Kawashima (kawashima@iname.com)

    wbflush.S : WriteBuffer Flush code to synchronize for
		COP1 delay slot's instruction emulation.
*/

#include <linux/config.h>
#include <asm/asm.h>
#include <asm/bootinfo.h>
#include <asm/cachectl.h>
#include <asm/current.h>
#include <asm/fpregdef.h>
#include <asm/mipsregs.h>
#include <asm/offset.h>
#include <asm/page.h>
#include <asm/pgtable.h>
#include <asm/processor.h>
#include <asm/regdef.h>
#include <asm/stackframe.h>

#include <asm/asmmacro.h>

	.set	mips3
/*
    Flush Write Buffer
*/
	.set	noreorder
	LEAF(wbflush)
	lui	t0, 0xa000	/* KSEG1 (Unmapped, Uncached) */
	lw	zero, 0(t0)	/* This flush write buffer */
	nop
	nop
	nop
	nop
	jr	ra
	nop
	END(wbflush)
