/*
 * This is interrupt table. Simple interrupts are then
 * defined here, on a single line.
 */
#ifdef CONFIG_VTECH_HELIO
INTERRUPT(13, 5, 0, (0x7f << INT5_POSINT_SHIFT | 0x7f << INT5_NEGINT_SHIFT));
#endif
INTERRUPT(16, 5, 0, INT5_POSONBUTINT);
INTERRUPT(17, 5, 0, INT5_NEGONBUTINT);
#if defined(CONFIG_VTECH_HELIO) || defined(CONFIG_PHILIPS_VELO)
INTERRUPT(18, 3, 0, MFIO_PIN_HOTSYNC_KEY);
INTERRUPT(19, 4, 0, MFIO_PIN_HOTSYNC_KEY);
#endif
#ifdef CONFIG_PHILIPS_VELO
INTERRUPT(21, 3, 0, MFIO_PIN_KEYBOARD);
INTERRUPT(22, 4, 0, MFIO_PIN_KEYBOARD);
#endif
INTERRUPT(40, 1, 0, INT1_SIBSF0INT);
INTERRUPT(41, 1, 0, INT1_SIBIRQPOSINT);
INTERRUPT(42, 1, 0, INT1_SIBIRQNEGINT);
/* Keep this last: serial TX interrupt is "almost always" raised, therefore it has to be last -- that is, if you want to ever see other interrupts */
INTERRUPT(2,  2, I_NOMASK, 0xfffff000);

