/*
 * linux/arch/mips/vr41xx/nec_mobilegear2_r430.c
 *
 * Platform support for NEC MobileGear2 R430/R530
 *
 * Copyright (C) 2000 SATO Kazumi
 *
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 */
#include <asm/io.h>
#include <asm/vr41xx.h>

extern int mq200_backlight(int);
extern int get_mq200_backlight(int);
extern int mq200_contrast(int);
extern int get_mq200_contrast(int);
extern int mq200_lcdpower(int);
extern void mq200_setup(void);

int display_backlight(int n)
{
	return mq200_backlight(n);
}

int display_get_backlight(int n)
{
	return get_mq200_backlight(n);
}

int display_contrast(int n)
{
	return mq200_contrast(n);
}

int display_get_contrast(int n)
{
	return get_mq200_contrast(n);
}

int display_power(int n)
{
	return mq200_lcdpower(n);
}

void platdep_setup(void)
{
	mq200_setup();
}
