/*
 * This is a blank keymap, for specifying no default keymap.
 * Either the VT will operate without a keyboard, or the keymap
 * will be loaded at boot time by user app.  Either way, this
 * keeps the kernel data segment from getting loaded down with
 * data that is never used.
 */

#include <linux/types.h>
#include <linux/keyboard.h>
#include <linux/kd.h>

u_short plain_map[NR_KEYS];

ushort *key_maps[MAX_NR_KEYMAPS] = {
	plain_map,
};

unsigned int keymap_count = 1;

char func_buf[1];		/* = { 0 } */
char *funcbufptr = func_buf;
int funcbufsize = 1;
int funcbufleft = 0;		/* space left */

char *func_table[MAX_NR_FUNC];

struct kbdiacr accent_table[MAX_DIACR];

unsigned int accent_table_size = 0;
